getAbstractByPMID {RpsiXML} | R Documentation

## A function to obtain the abstract information via a Pubmed ID

### Description

This function takes a character vector of pubmed IDs and returns a list of pubMedAbst objects indexed by each ID.

### Usage

    getAbstractByPMID(pmID)

### Arguments

`pmID` | A chacater vector of pubmed IDs

### Value

A list of pubMedAbst objects.

### Author(s)

Tony Chiang

### Examples

    xmlDir <- system.file("/extdata/psi25files",package="RpsiXML")
    intactxml <- file.path(xmlDir, "intact_2008_test.xml")
    x <- parsePsimi25Interaction(intactxml, INTACT.PSIMI25)
    y <- interactions(x)[[1]]
    getAbstractByPMID(pubmedID(y))

[Package RpsiXML version 1.0.0 Index]